Confirma Payment Platform
  1. GiftCard
Confirma Payment Platform
  • Developer Guide
  • Changelog
  • Basic Flow Guide
  • Viva Developers' Guide
  • Epassi Developers' Guide
  • Retain24 Developers' Guide
  • Resurs Developers' Guide
  • SoftPay Developers' Guide
  • Nexi Developers' Guide
  • Worldline Developers' Guide
  • v1
    • Authentication
      • Obtain a token
    • Callback
      • Redirect transaction flow
    • Device
      • /{tenantCode}/v1/device/configuration
      • Terminal device details
      • Print receipt on Terminal
      • Print receipt on Terminal
    • GiftCard
      • Get the available templates
        GET
      • Get template by Id
        GET
      • Create and Issue a Card
        POST
      • Top Up a Card
        PATCH
      • Get a Card
        GET
      • Validate a Card
        POST
      • Cancel a card
        DELETE
      • Cancel the last topup of the card
        DELETE
    • Payment
      • Create a new payment request
      • Marks the day end
    • PaymentChannel
      • Get payment channel merchants
      • Get available payment channels
      • Get configured payment channels
      • Get payment channel configuration requirements
      • Save payment channel configuration
      • Enable payment channel
      • Disable payment channel
      • Create a new account
      • /{tenantCode}/v1/payment-channel/viva
      • Get payment channel stores
      • Get payment method basic details
      • Get payment method content
      • Get payment channel merchants
    • Report
      • Get End Of Day Reports
      • Save End Of Day Reports
      • Get End Of Day Reports by reference
    • Transaction
      • Get customer receipt for a transaction
      • Get the transaction status
      • Cancel a transaction
      • Refund a transaction
      • Generic Refund (Without existing Transaction Id)
      • Update transaction status
      • Save a receipt for a transaction
      • Get merchant receipt for a transaction
    • Storage
      • Gets a secure update url for the storage
    • TenantWebhook
      • /{tenantCode}/v1/tenant-webhook/{provider}/viva/account
      • /{tenantCode}/v1/tenant-webhook/{provider}/viva/account
      • /{tenantCode}/v1/tenant-webhook/resurs/authorisation/transactions/{transactionUUID}
      • /{tenantCode}/v1/tenant-webhook/resurs/management/transactions/{transactionUUID}
    • Webhook
      • /v1/webhook/{provider}/viva/account
      • /v1/webhook/{provider}/viva/account
      • /v1/webhook/{provider}/viva/payment-created
      • /v1/webhook/{provider}/viva/payment-created
      • /v1/webhook/{provider}/viva/payment-failed
      • /v1/webhook/{provider}/viva/payment-failed
      • /v1/webhook/{provider}/viva/reversal-created
      • /v1/webhook/{provider}/viva/reversal-created
  • Schemas
    • v1
    • AdditionalPaymentMethods
    • SupportedPaymentChannel
    • ResponseDto
    • AdditionalPaymentMethods
    • SupportedPaymentChannelListResponseDto
    • ApplicationMessageDto
    • BooleanResponseDto
    • BrandColour
    • CancelIntentDto
    • CancelIntentDtoResponseDto
    • ClientOverrideDto
    • CollectionPromptChannel
    • CollectionPromptChannelDto
    • CreateAccountRequestDto
    • CreateAccountResponseDto
    • CreateAccountResponseDtoResponseDto
    • CurrencyCodes
    • CustomerDisplayType
    • CustomerInfoDto
    • DeviceConfiguration
    • DeviceSpecificationDto
    • EndDayRequestDto
    • ErrorResponseDto
    • GenericRefundPaymentIntentDto
    • POSType
    • PanEntryMode
    • PaymentIntentDto
    • PaymentAdditionalInfoDto
    • PaymentChannelType
    • PaymentChannelMetaData
    • PaymentChannelOptionsForGenericRefundDto
    • PaymentChannelOptionsForRefundDto
    • PaymentIntentDtoResponseDto
    • PaymentMethod
    • PaymentMethodDto
    • PaymentStatus
    • PrintResponseDto
    • ReasonCode
    • RefundPaymentIntentDto
    • ReportResponseDto
    • ReportResponseDtoResponseDto
    • ReportType
    • SaveOnsiteTerminalReportDto
    • TokenRequestDto
    • TokenResponseDto
    • TokenResponseDtoResponseDto
    • TransactionStatusDto
    • TransactionStatusDtoResponseDto
    • UpdateTransactionDto
    • VivaChannelOptions
    • TerminalDetailsResponseDto
    • TerminalStatus
    • TransactionType
    • TerminalDetailsResponseDtoResponseDto
    • CreatePaymentIntentDto
    • ContentDto
    • CreateGiftCardRequestDto
    • DiscountDetailsDto
    • DiscountType
    • EpassiChannelOptions
    • GiftCardDetailsDto
    • GiftCardDetailsDtoResponseDto
    • GiftCardPersonalizedMessageLengthDto
    • GiftCardPreviewDto
    • GiftCardStatus
    • GiftCardTemplateDetailsDto
    • GiftCardTemplateDetailsDtoListResponseDto
    • GiftCardTemplateDetailsDtoResponseDto
    • NotificationChannel
    • NotificationOptions
    • TopupGiftCardRequestDto
    • ObjectResponseDto
    • PaymentChannelOptionsDto
    • PaymentChannelOptionsDto
    • ReceiptResponseDto
    • ReceiptResponseDtoResponseDto
    • ReceiptType
    • SaveOnsiteTerminalReceiptDto
    • VivaIsvSettingsDto
    • GetCardDetailsRequestDto
    • CustomerType
    • OrderItemDto
    • OrderItemType
    • PaymentFlowType
    • PaymentSubStatus
    • ResursChannelOptions
    • CountryCode
    • LegalLink
    • PaymentMethodBasicInfoResponseDto
    • PaymentMethodBasicInfoResponseDtoListResponseDto
    • PaymentMethodContentResponseDto
    • PaymentMethodContentResponseDtoResponseDto
    • PriceSignagePreview
    • StoreDetailsDto
    • StoreDetailsDtoListResponseDto
    • AddressDto
    • AvailablePaymentChannelDetailDto
    • AvailablePaymentChannelDetailDtoListResponseDto
    • PaymentChannelConfigurationFieldsDto
    • PaymentChannelConfigurationSchemaDto
    • PaymentChannelConfigurationSchemaDtoResponseDto
    • PaymentChannelMetaDataVerifoneVim
    • StringObjectDictionaryResponseDto
    • StringResponseDto
    • VerifoneVimChannelOptions
    • MerchantsInformationDto
    • MerchantsInformationDtoListResponseDto
    • SoftPayChannelOptions
    • Tip
    • SupportedPaymentChannelDto
    • SupportedPaymentChannelDtoListResponseDto
    • Void
    • NexiChannelOptions
    • PaymentChannelMetaDataWorldline
    • PaymentChannelMetaDataWorldline
    • PrintOnTerminalRequestDto
    • PrintOnTerminalRequestDto
    • PrintOnTerminalResponseDto
    • PrintOnTerminalResponseDto
    • PrintOnTerminalResponseDtoResponseDto
    • PrintOnTerminalResponseDtoResponseDto
    • Retain24ChannelOptions
    • Retain24ChannelOptions
    • WorldLineChannelOptions
    • WorldLineChannelOptions
    • WorldLineRefundOptions
    • WorldLineRefundOptions
    • EndDayResponseDto
    • PrintOnTerminalRequestDto
  1. GiftCard

Validate a Card

POST
/{tenantCode}/v1/gift-card/{cardId}/payment-channel/{paymentChannelId}
You can get details and validate a gift card by passing pin in the request body

Request

Path Params

Query Params

Header Params

Body Params application/json

Example
{
    "pin": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://sandbox.api.confirmapay.com//v1/gift-card//payment-channel/?accountId' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "pin": "string"
}'

Responses

🟢200 - Card detailsSuccess
application/json
Card details
Body

Example
{
    "data": {
        "id": "string",
        "balance": 0,
        "issuedAt": "2019-08-24T14:15:22.123Z",
        "expiresAt": "2019-08-24T14:15:22.123Z",
        "currencyCode": 36,
        "status": 100,
        "reloadable": true,
        "loadable": true,
        "pin": "string",
        "pinRequired": true
    },
    "description": {
        "code": "string",
        "message": "string"
    },
    "narrative": {
        "code": "string",
        "message": "string"
    }
}
🟠404 - Gift card not foundSuccess
Modified at 2026-02-12 10:28:34
Previous
Get a Card
Next
Cancel a card
Built with